List Chargebacks
curl --request GET \
--url https://api.decodahealth.com/billing/chargebacks \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/billing/chargebacks"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/billing/chargebacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"rainforestChargebackId": "<string>",
"payinId": "<string>",
"amount": 123,
"createdDate": "2023-11-07T05:31:56Z",
"paymentId": "<string>",
"currency": "USD",
"reasonCode": "<string>",
"reasonDesc": "<string>",
"acquirerRef": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"methodType": "<string>",
"merchantFees": {},
"evidence": [
{}
],
"rainforestCreatedDate": "2023-11-07T05:31:56Z",
"rainforestUpdatedDate": "2023-11-07T05:31:56Z",
"paymentDate": "2023-11-07T05:31:56Z",
"patient": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"type": "PATIENT",
"locationId": "<string>",
"dateOfBirth": "2023-12-25",
"onSchedulingBlacklist": true
},
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Chargebacks
List Chargebacks
List chargebacks with optional filters.
GET
/
billing
/
chargebacks
List Chargebacks
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Available options:
asc, desc Available options:
INQUIRY_ACTION_REQUIRED, INQUIRY_RESPONDED, INQUIRY_PROCESSING, DISPUTE_ACTION_REQUIRED, CHARGEBACK_PROCESSING, PRE_ARBITRATION_PROCESSING, ARBITRATION, PROVISIONAL_WIN, WON, LOST, ACCEPTED ⌘I
